Bug 644105 - Create Book does not add an icon to the images directory
Create Book does not add an icon to the images directory
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 18:23 EDT by Ryan Lerch
Modified: 2010-11-23 23:20 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.3-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 18:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Lerch 2010-10-18 18:23:54 EDT
Description of problem:
When i create a new book, the create process no longer places the stock icons.svg into the images/ directory.

Version-Release number of selected component (if applicable):
publican-2.2-0.fc13.t31.noarch

How reproducible:
Always


Steps to Reproduce:
1. publican create --name "Test Book"
2. cd Test_Book
3. publican package --binary --lang en-US
  
Actual results:
+ cp en-US/images/icon.svg ~/rpmbuild/BUILDROOT/Documentation-Test_Book-0.1-web-en-US-0-0.el5.x86_64/usr/share/icons/hicolor/scalable/apps/Documentation-Test_Book-0.1-en-US.svg
cp: cannot stat `en-US/images/icon.svg': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.4SHG4Y (%install)

Expected results:
A stock icon is placed in the (images) directory, and i can build a freshly created book as a RPM
Comment 1 Jeff Fearn 2010-10-18 20:44:00 EDT
Added icon svg to create book

Fixed in build: 2.2-0%{?dist}.t36
Comment 2 Ruediger Landmann 2010-10-21 02:29:33 EDT
Tested with Publican 2.2-0.fc13.t40

Verified that images/icon.svg gets created when I ran "publican create"
Comment 3 Fedora Update System 2010-10-25 23:45:08 EDT
publican-2.3-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.3-0.fc13
Comment 4 Fedora Update System 2010-10-27 18:47:49 EDT
publican-2.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.